> ## Documentation Index > Fetch the complete documentation index at: https://bunny.net/docs/llms.txt > Use this file to discover all available pages before exploring further. # Add application endpoint > Add CDN or Anycast endpoint to a container of given application. ## OpenAPI ````yaml https://api-mc.opsbunny.net/docs/public/swagger.json post /apps/{appId}/containers/{containerId}/endpoints openapi: 3.0.4 info: title: Public API description: 'Public API endpoints for user consumption. Release version: v1.11.1.0' version: '1.0' servers: - url: https://api.bunny.net/mc security: - AccessKey: [] paths: /apps/{appId}/containers/{containerId}/endpoints: post: tags: - Endpoints summary: Add application endpoint description: Add CDN or Anycast endpoint to a container of given application. operationId: AddApplicationEndpoint parameters: - name: appId in: path description: The ID of the application required: true schema: type: string - name: containerId in: path description: The ID of the container template required: true schema: type: string requestBody: description: The endpoint configuration content: application/json: schema: $ref: '#/components/schemas/EndpointRequest' text/json: schema: $ref: '#/components/schemas/EndpointRequest' application/*+json: schema: $ref: '#/components/schemas/EndpointRequest' responses: '201': description: Endpoint was successfully created. content: application/json: schema: $ref: '#/components/schemas/SaveEndpointResponse' '400': description: Invalid input or endpoint name already exists. content: application/json: schema: $ref: '#/components/schemas/ErrorDetails' '401': description: User is unauthorized. content: application/json: schema: $ref: '#/components/schemas/ProblemDetails' '403': description: User has invalid card or suspended. content: application/json: schema: $ref: '#/components/schemas/ErrorDetails' '404': description: Application or container not found. content: application/json: schema: $ref: '#/components/schemas/ErrorDetails' '422': description: Unprocessable entity. content: application/json: schema: $ref: '#/components/schemas/ErrorDetails' '500': description: Unexpected server error. content: application/json: schema: $ref: '#/components/schemas/ErrorDetails' components: schemas: EndpointRequest: required: - displayName type: object properties: displayName: maxLength: 50 minLength: 1 type: string cdn: $ref: '#/components/schemas/CdnEndpointRequest' anycast: $ref: '#/components/schemas/AnycastEndpointRequest' additionalProperties: false SaveEndpointResponse: type: object properties: id: type: string additionalProperties: false ErrorDetails: type: object properties: title: type: string description: A short, human-readable summary of the problem type. readOnly: true status: type: integer description: The HTTP status code. format: int32 readOnly: true detail: type: string description: >- A human-readable explanation specific to this occurrence of the problem. nullable: true readOnly: true instance: type: string description: >- A URI reference that identifies the specific occurrence of the problem. nullable: true readOnly: true errors: type: array items: $ref: '#/components/schemas/ValidationError' description: Additional validation errors for field-specific issues. nullable: true readOnly: true id: type: string description: >- The application ID, returned as an RFC 7807 extension field when relevant (e.g. partial save errors). Matches the "id" field from successful create response for consistency. nullable: true readOnly: true additionalProperties: false description: RFC 7807 Problem Details response model. ProblemDetails: type: object properties: type: type: string nullable: true title: type: string nullable: true status: type: integer format: int32 nullable: true detail: type: string nullable: true instance: type: string nullable: true additionalProperties: {} CdnEndpointRequest: type: object properties: isSslEnabled: type: boolean stickySessions: $ref: '#/components/schemas/StickySessionSettings' pullZoneId: type: integer format: int32 nullable: true portMappings: maxItems: 1 minItems: 1 type: array items: $ref: '#/components/schemas/ContainerPortMappingRequest' additionalProperties: false AnycastEndpointRequest: required: - portMappings - type type: object properties: type: $ref: '#/components/schemas/AnycastIpProtocolVersion' portMappings: minItems: 1 type: array items: $ref: '#/components/schemas/ContainerPortMappingRequest' additionalProperties: false ValidationError: required: - message type: object properties: field: type: string nullable: true message: type: string additionalProperties: false StickySessionSettings: required: - sessionHeaders type: object properties: enabled: type: boolean sessionHeaders: maxItems: 3 minItems: 1 type: array items: type: string cookieName: type: string additionalProperties: false ContainerPortMappingRequest: required: - containerPort type: object properties: containerPort: maximum: 65535 minimum: 1 type: integer format: int32 exposedPort: maximum: 65535 minimum: 1 type: integer format: int32 nullable: true protocols: type: array items: $ref: '#/components/schemas/Protocol' additionalProperties: false AnycastIpProtocolVersion: enum: - iPv4 type: string Protocol: enum: - tcp - udp - sctp type: string securitySchemes: AccessKey: type: apiKey description: Please enter a valid personal API key. name: AccessKey in: header ```` This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.